KOPANO-ARCHIVER-ACLSET(8)

NAME
kopano-archiver-aclset - Reset the archive ACL settings for the owner.

SYNOPSIS

kopano-archiver-aclset [OPTION...]

DESCRIPTION

kopano-archiver-aclset sets or updates the permissions on an archive store for the owner of that store.

When an archive is attached to a store, the owner of the store gets read-only or read/write permissions on the archive based on the configuration or command line options passed at the time of attaching. Also when an archive is attached to a store of a non-active user, no permissions for that non-active user are set because that's not possible.

In the first case it can be desirable to change the permissions at a later time because of company policy changes or because the original setting was just wrong.

In the second case, if the user is converted to an active user, it's required to reset the permissions because the owner won't have any permissions on his archive.

OPTIONS

-w
    By default kopano-archiver-aclset makes an archive read-only for the user. By passing this option, the user will get read/write permissions in the attached archive.

--user, -u NAME
    Run the script for just the specified user(s). By default, it runs for all users.

--log-level, -l NAME
    Specify log-level, for example, 'error', 'warning' 'info' or 'debug'.

--server-socket, -s SOCKET
    Connect to storage server through specified socket.

--ssl-key, -k FILE
    Specify SSL key file.

--ssl-pass, -p PASSWORD
    Specify SSL key password.

AUTHOR

Written by Kopano.